Skip to navigation

Update Instrument

Beta

Updates an instrument in store and can update billing address in the provider’s vault. As of this writing, only the Braintree gateway supports updating customer billing addresses. If billing_address is included in the request, an attempt will be made to update the billing address at provider’s vault.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Create Paymentscreatestore_payments_access_token_create
Get Payment Methodsread-onlystore_payments_methods_read

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
tokenstringRequired
billing_addressobjectOptional
trusted_shipping_addresseslist of objectsOptional
make_defaultbooleanOptional

Response

Instrument successfully updated.
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error